---
title: Background
---

# {% $markdoc.frontmatter.title %}

NFToken is a simple, easy to use NFT standard for the Solana blockchain. With NFToken, you can:

- Create NFTs that represent art or other digital assets
- Update or freeze the NFTs you have created
- Organize a group of NFTs into a collection
- Retrieve NFTs for a wallet

## What is an NFT?

Today the most popular use case for an NFT is to put a piece of digital artwork on chain. Once you have created an NFT, you can prove ownership and easily trade the NFT.

One of the most popular use cases is for Profile Pictures (or PFPs) where an artist will create a collection of similar NFTs that form a collection. Collectors purchase an NFT that they feel represents them and they use their NFT as their profile photo on social media. CryptoPunks and Bored Ape Yacht Club are both famous PFP collections.

While digital art is the most common use case today, NFTs can represent any type of digital ownership. Here are some interesting use cases for NFTs today:

- A physical art gallery has created NFTs for the art gallery members. With one of their NFTs, you receive free admission to the art gallery events and Discord server.
- Musicians create NFTs that fractionalize their song royalties. As they get paid royalties for their song, a portion of the proceeds go to their NFT holders.
- Video games are creating NFTs to represent in-game items. This allows players to bring their in-game items between different games and to easily transfer / sell what they've earned in-game.

## What is Solana?

Bitcoin and Ethereum are the two most popular blockchains. But they have major issues which make NFTs difficult. They are slow, expensive, and consume large amounts of energy to run.

Solana is an alternative blockchain designed to fix the problems with Bitcoin and Ethereum. Solana is designed to be:

- **Fast** — Transactions resolve in a couple seconds. This feels like a credit card transactions in contrast to Bitcoin and Ethereum where transactions take more than 5 minutes.
- **Cheap** — A Solana transaction typically costs less than $0.01 (5k lamports). With NFToken, creating an NFT costs ~ $0.10 (2.2M lamports / 0.0022 SOL). Bitcoin and Ethereum have transaction fees of more than $10.
- **Energy Efficient** — Bitcoin consumes more energy than the country of Argentina and Ethereum is close behind. [Solana is extremely efficient](https://solana.com/news/solanas-energy-use-report-march-2022) and uses the amount of energy equivalent to ~ 1,000 American homes.
